Package org.opengis.cite.iso19142

# Enum Class WFS2.VersionState

java.lang.Object
java.lang.Enum<WFS2.VersionState>
org.opengis.cite.iso19142.WFS2.VersionState

All Implemented Interfaces:
  `Serializable`, `Comparable<WFS2.VersionState>`, `Constable`

Enclosing class:
  WFS2

public static enum WFS2.VersionState extends Enum<WFS2.VersionState>
VersionState indicates the state of a feature version.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `FUTURE`
  `RETIRED`
  `SUPERSEDED`
  `VALID`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `toString()`
  `static WFS2.VersionState`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static WFS2.VersionState[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### VALID

    public static final WFS2.VersionState VALID

  - ### SUPERSEDED

    public static final WFS2.VersionState SUPERSEDED

  - ### RETIRED

    public static final WFS2.VersionState RETIRED

  - ### FUTURE

    public static final WFS2.VersionState FUTURE

- ## Method Details

  - ### values

    public static WFS2.VersionState[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static WFS2.VersionState valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Enum<WFS2.VersionState>`